Bug 162354 - [67cat] [tools] JavaEE Bundle takes excessive time to activate
[67cat] [tools] JavaEE Bundle takes excessive time to activate
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Code
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: issues@javaee
issues@javaee
: ERGONOMICS, PERFORMANCE, RANDOM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 23:24 UTC by esmithbss
Modified: 2009-05-27 12:09 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2009-04-09 23:24:38 UTC
[ BUILD # : 200904091401 ]
[ JDK VERSION : 1.6.* ]

On a clean install of 200904091401 (clean userdir) the JavaEE Module
takes an excessive amount of time to load when being loaded
automatically by refreshing the Servers tree in the Services menu

It appears to hang on org.netbeans.modules.ruby.kit

(partial log)


INFO [org.netbeans.core.startup.NbEvents]: Turning on modules:
	org.netbeans.modules.extexecution/2 [1.14 200904091401]
	org.netbeans.modules.ruby.rakeproject/1 [0.15 200904091401]
	org.netbeans.modules.ruby.platform/1 [1.6.1 200904091401]
	org.netbeans.libs.bytelist/1 [0.2.0.1 1 200904091401]
	org.netbeans.libs.jvyamlb/1 [0.3.0.23 023 200904091401]
	org.jruby/1 [0.115 200904091401]
	org.netbeans.modules.ruby/1 [1.0 200904091401]
	org.netbeans.modules.ruby.rhtml/1 [0.64.0.1 200904091401]
	org.netbeans.modules.gototest/1 [1.3 200904091401]
	org.netbeans.modules.gsf.codecoverage [1.0.0 200904091401]
	org.netbeans.modules.ruby.codecoverage [1.0 200904091401]
	org.netbeans.modules.ruby.project/1 [1.5 200904091401]
	org.kxml2/1 [1.3 200904091401]
	org.rubyforge.debugcommons/0 [1.37 200904091401]
	org.netbeans.modules.ruby.debugger [0.104 200904091401]
	org.netbeans.modules.ruby.help [0.8 200904091401]
	org.netbeans.modules.ruby.hints/1 [0.36.0.6 200904091401]
	org.netbeans.modules.ruby.extrahints/1 [0.40.0 200904091401]
	org.netbeans.modules.languages.yaml [2.1 200904091401]
	org.netbeans.modules.gsf.testrunner [1.7 200904091401]
	org.netbeans.modules.ruby.testrunner [1.2 200904091401]
	org.netbeans.modules.web.client.tools.api [1.1 200904091401]
	org.netbeans.modules.ruby.railsprojects/1 [1.1 200904091401]
	org.jruby.distro/1 [0.115 200904091401]
	org.netbeans.modules.glassfish.jruby/0 [1.0 200904091401]
	org.netbeans.modules.ruby.refactoring/1 [0.62.0 200904091401]
	org.netbeans.modules.ruby.javaint/1 [0.34 200904091401]
	org.netbeans.modules.ruby.samples.depot/1 [1.3 200904091401]
	org.netbeans.modules.ruby.kit/1 [0.105 200904091401]
Comment 1 esmithbss 2009-04-09 23:27:26 UTC
Have waited about 5 minute to 10 minutes now for process.  Appears to definitely be hung.  Unable to kill NetBeans
except for issuing a SIGKILL to the actual Java process from the command line.
Comment 2 esmithbss 2009-04-09 23:30:27 UTC
If I manually enable JavaEE (again from a clean userdir), all of the necessary modules appear to be activated properly.
Comment 3 Vince Kraemer 2009-04-10 01:53:47 UTC
Are you saying that when you...

1. start the 200904091401 build with a fresh install and a clean userdir (including the v2.1 and v3 Prelude servers) and
NOT importing settings from 6.5
2. Open the Services explorer window
3. Select the Java EE Usage... item from the right-click menu on the Node labeled Servers

 ... there is a long pause as modules to support Ruby development are loaded.
Comment 4 Vince Kraemer 2009-04-10 02:02:05 UTC
I just tried to replicate that on a recently built pull from the trunk, but could not.

I did see a pause when I replaced 'Java EE usage...' with 'Ruby usage...' in step three, but it was not catastrophic.

If you encounter this issue again, please try to generate a thread dump (SIGQUIT, I think) before you kill the process.

Attach that thread dump to the issue.  It will make the analysis of this issue a lot easier.
Comment 5 Petr Jiricka 2009-05-27 12:09:07 UTC
I also can not reproduce now, I assume it was fixed by now. Please reopen if you still encounter this problem. Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo